import { FieldInfo } from 'model-util-base';
/**
 * @author auto generate
 * @version 1.0
 * @date 2021-05-11 11:08
 */
export interface CrMsgLog {
    /**
    *
    * @type { number }
    */
    id?: number;
    /**
    *
    * @type { string }
    */
    msg?: string;
    /**
    *
    * @type { Date }
    */
    createTime?: Date;
    /**
    * 用户id
    * @type { string }
    */
    userId?: string;
    /**
    * 广告id
    * @type { string }
    */
    adId?: string;
    /**
    * 广告类型：0，CPD；1，CPA；2，CPM
    * @type { string }
    */
    adType?: string;
    /**
    * 失效时间
    * @type { Date }
    */
    expirationTime?: Date;
    /**
    * 发送状态：0未发送；1已发送；2发送错误
    * @type { number }
    */
    sendStatus?: number;
    /**
    * 发送错误描述
    * @type { string }
    */
    sendErrorDesc?: string;
    /**
    * 发送结果
    * @type { boolean }
    */
    sendResult?: boolean;
    /**
    * 是否删除：0否 ； 1是
    * @type { boolean }
    */
    delFlag?: boolean;
    /**
    * 发送时间
    * @type { Date }
    */
    sendTime?: Date;
    /**
    * 更新时间
    * @type { Date }
    */
    updateTime?: Date;
}
export declare class CrMsgLogMI {
    static get ID(): FieldInfo;
    static get MSG(): FieldInfo;
    static get CREATE_TIME(): FieldInfo;
    static get USER_ID(): FieldInfo;
    static get AD_ID(): FieldInfo;
    static get AD_TYPE(): FieldInfo;
    static get EXPIRATION_TIME(): FieldInfo;
    static get SEND_STATUS(): FieldInfo;
    static get SEND_ERROR_DESC(): FieldInfo;
    static get SEND_RESULT(): FieldInfo;
    static get DEL_FLAG(): FieldInfo;
    static get SEND_TIME(): FieldInfo;
    static get UPDATE_TIME(): FieldInfo;
}
